import * as $dara from '@darabonba/typescript';
import { CancelAutoSnapshotPolicyResponseBody } from "./CancelAutoSnapshotPolicyResponseBody";
export declare class CancelAutoSnapshotPolicyResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CancelAutoSnapshotPolicyResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
